﻿@using LAP.DomainModels.Entities.Adviser
@model ActivityEvent
<div class="d-flex flex-row-reverse">
    <div>
        <a class="btn btn-xs btn-icon w-5px add-edit-event mr-3"><i class="fas fa-pencil-alt icon-md text-primary"></i></a>
        <a class="btn btn-xs btn-icon delete-event @(Model.Leads != null && Model.Leads.Any() ? "disabled-div has-leads":"")"><i class="far fa-trash-alt icon-md text-danger"></i></a>
        <a class="btn btn-xs btn-icon close-event-popover"><i class="ki ki-close icon-nm"></i></a>
    </div>
</div>
<hr class="mt-2" />
<div><span class="font-weight-bolder">Title: </span>@Model.Title</div>
<div><span class="font-weight-bolder">Type: </span>@Model.Type.GetDisplayName()</div>
<div><span class="font-weight-bolder">Date: </span>@Model.Date.ToString("MMM dd, yyyy")</div>
<div><span class="font-weight-bolder">Tag: </span>@Model.Tag</div>
@if (Model.Type != EventTypeEnum.NonClientAdvocate)
{
    <h6 class="text-primary">Pre-Event Info</h6>
    <div><span class="font-weight-bolder">Estimated Cost: </span>@string.Format("{0:C0}", Model.EstimatedCost)</div>
    <div><span class="font-weight-bolder">Estimated # of Attendees: </span>@string.Format("{0:N0}", Model.EstimatedAtendees)</div>
    <div><span class="font-weight-bolder">Estimated # of Leads: </span>@string.Format("{0:N0}", Model.EstimatedLeads)</div>
    <hr />
    <h6 class="text-primary">Post-Event Info</h6>
    <div><span class="font-weight-bolder">Actual Cost: </span>@string.Format("{0:C0}", Model.ActualCost)</div>
    <div><span class="font-weight-bolder">Actual # Of Attendees: </span>@string.Format("{0:N0}", Model.ActualNoOfAttendees)</div>
}
<div><span class="font-weight-bolder"># of Leads Generated: </span>@string.Format("{0:N0}", Model.Leads.Count())</div>
